package com.zipcodewilmington.productmanager;
import java.util.*;
/**
 * Created by leon on 1/10/18.
 */
public class MainApplication {

    public static void main(String[] args){

        Product bread = new Product("Bread", 10, 3.5, 1);
        Product steak = new Product("Steak", 10,15,2);
        Product caviar = new Product("Caviar", 10, 19.99, 3);
        Product sushi = new Product("Sushi", 10, 15.50, 3);
        Product milk = new Product("Milk", 10, 2.75, 4);
        ArrayList<Product> allProducts = new ArrayList<Product>();
        allProducts.add(bread);
        allProducts.add(steak);
        allProducts.add(caviar);
        Inventory inventory = new Inventory(allProducts);

        System.out.println("At the beginning of June the inventory was : \n Total Value: " + String.format("%.2f" ,inventory.getTotalPrice()) +
                "\n Total Product Count: " + inventory.getTotalQuantity() + "\n");

        for (Product el : allProducts){
            System.out.println(el.getName()+ ": ID-" + el.getId() + ", Price-" + el.getPrice() + ", Quantity-" + el.getQuantity());
        }

        inventory.minusProduct(caviar);
        inventory.addProduct(sushi);
        inventory.addProduct(milk);



        System.out.println("\n\nAt the end of June the inventory was : \n Total Value: " + String.format("%.2f" ,inventory.getTotalPrice()) +
                "\n Total Product Count: " + inventory.getTotalQuantity() + "\n");

        for (Product el : allProducts){
            System.out.println(el.getName()+ ": ID-" + el.getId() + ", Price-" + el.getPrice() + ", Quantity-" + el.getQuantity());
        }
    }

}
