package com.zipcodewilmington.productmanager;

import java.util.ArrayList;

public class Inventory {

    public ArrayList<Product> allProducts;

    public Inventory(ArrayList<Product> list){
        allProducts = list;
    }
    public void addProduct(Product item) {
        allProducts.add(item);
    }

    public int getTotalQuantity() {
        int totalQuantity =0;
        for (int i=0; i<allProducts.size(); i++) {
           totalQuantity += allProducts.get(i).getQuantity();
       }
        return totalQuantity;
    }

    public int getSingleQuantity(Product item) {
        return item.getQuantity();
    }

    public void minusProduct(Product item) {
        int itemToRemove = allProducts.indexOf(item);
        allProducts.remove(itemToRemove);
    }

    public double getTotalPrice() {
        double totalPrice =0;
        for (int i=0; i<allProducts.size(); i++) {
            totalPrice += allProducts.get(i).getPrice();
        }
        return totalPrice;
    }
}
