package com.zipcodewilmington.productmanager;

import org.junit.Before;
import org.junit.Test;

import static junit.framework.TestCase.assertEquals;

/**
 * Created by leon on 1/10/18.
 */
public class ProductTest {

    private Product product1;

    @Before
    public void setUP() {
        product1 = new Product("Bread",7,5.5, 1);
    }

    @Test
    public void getNameTest(){
        String expected = "Bread";
        String actual = product1.getName();
        assertEquals(expected, actual);
    }
    @Test
    public void getQuantityTest() {
        //given

        int quantity = 7;
        int expected = quantity;

        //when
        //Product product1 = new Product(quantity,1.0);
        int actual = product1.getQuantity();
        //then
        assertEquals(expected, actual);
    }

    @Test
    public void getPriceTest() {
        //given
        double price = 5.5;
        double expected = price;
        //when
        //Product product2 = new Product(4, price);
        double actual = product1.getPrice();
        //then
        assertEquals(expected,actual);
    }

    @Test
    public void getIDTest() {
        //given
        //Product product1 = new Product(4,4.50);
        //Product product4 = new Product(4,4.50);

        int expected = 1;
        //when
        int actual = product1.getId();
        //then
        assertEquals(expected,actual);
    }
}
